Download it now!
Bug 101181 - Support the OOXML Glow Effect for Pictures and Shapes
Summary: Support the OOXML Glow Effect for Pictures and Shapes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0.0.1
Keywords:
: 126412 (view as bug list)
Depends on:
Blocks: Images Shapes
  Show dependency treegraph
 
Reported: 2016-07-28 21:18 UTC by Luke
Modified: 2020-05-29 11:32 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of Glow Effects (258.28 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-07-28 21:18 UTC, Luke
Details
Test cases (490.61 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2020-03-09 11:33 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2016-07-28 21:18:13 UTC
Created attachment 126454 [details]
Example of Glow Effects

The the DrawingML 20.1.8.32 Glow Effect is stored in OOXML as <a:effectLst> and <a:glow> elements.[1] Such as:

<a:effectLst>
  <a:glow rad="292100">
    <a:srgbClr val="FF0000">
      <a:alpha val="50000"/>
    </a:srgbClr>
  </a:glow>
</a:effectLst>

Currently we do not support it. It's similar to a centered soft shadow like effect.
Comment 1 V Stuart Foote 2016-07-29 01:00:33 UTC
Why should we care about trying to implement these questionable OpenOfficeXML? They are not native to ODF and would each have to be parsed during filter import and "simulated" on drawing shapes.

blur
fill overlay 
glow
inner shadow
outer shadow
preset shadow
reflection
soft edge

Issue with import, and issues with export back to OOXML.

We gain what?

=-ref-=
http://officeopenxml.com/drwSp-effects.php
Comment 2 Luke 2016-07-29 22:04:25 UTC
Any improvement in MSO interoperability is a win.

I singled out this effect, because I've encountered it in several documents, one where a diagram was unreadable because of our lack of support. Of the other effects that you listed, 3/8 are shadow where we already have excellent support. We do our best to simulate them, and as long as no changes are made we pass the preserved OOXML values on export.

We don’t’ need to fully support this effect, just like we do not fully support all of the OOXML shadow parameters. However rendering something, even if it’s just a centered shadow, is better than what we do now.
Comment 3 Buovjaga 2016-08-10 14:40:14 UTC
Ok, if someone wishes to work on it..
Comment 4 Commit Notification 2020-03-03 14:53:28 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f9fc420dceb1ece2c98767da16a21aaff771f140

tdf#101181 Implement glow effect on shapes

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Regina Henschel 2020-03-09 11:33:48 UTC
Created attachment 158506 [details]
Test cases

What is the patch proposed to do? None of my test cases work.

Open attached file. It contains on each slide an object and a screen shot of how it looks in PowerPoint. I have tried it with Skia, with OpenGL, and without them. Tested with Version: 7.0.0.0.alpha0+ (x64)
Build ID: f61fa885ed929e7d4aea4d84b2ddadea4825eb18
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 6 Buovjaga 2020-03-25 15:26:36 UTC
(In reply to Regina Henschel from comment #5)
> Created attachment 158506 [details]
> Test cases
> 
> What is the patch proposed to do? None of my test cases work.
> 
> Open attached file. It contains on each slide an object and a screen shot of
> how it looks in PowerPoint. I have tried it with Skia, with OpenGL, and
> without them.

Tamás was not in Cc
Comment 7 Commit Notification 2020-03-25 20:43:43 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5a100a3b62da5ea94d4707c10633023065e1d04f

tdf#101181: add sidebar panel for Glow effect

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Buovjaga 2020-03-26 18:38:15 UTC
Regina: I think I remember what's up: transparency is not yet implemented, so that explains the difference with MSO.
Comment 9 Commit Notification 2020-03-30 15:47:06 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/85ae85ee93c929785a4db6cf8dcd28c2a683f800

tdf#101181 related: fix SdrShadowTextAttribute::operator==

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-04-17 20:00:41 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5a4a615d5bf3907e66fea4995706aa3403542ca6

tdf#101181: Restore and adapt asserts removed in f9fc420d

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-05-06 12:06:29 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/65f3aea4727123a75dbd471592fe711998b5209b

tdf#101181: implement glow effect also for SdrGrafPrimitive2D

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-05-06 15:31:33 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c1c67cca7de5714635bef88de943b6c2e519eddf

tdf#101181: support for transparency attribute of glow effect

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-05-07 17:25:19 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5ac2075d56cfff57f2254e4e5bd5a1e3a3579f83

tdf#101181: unit test for glow attributes in ODF

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-05-07 19:59:04 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/08ebcff89f56bec3b0f9b346504748e4eb1687af

tdf#101181: improve glow effect

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-05-07 21:08:28 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a640676e06bdab3471f5c9f04dd9403bc66ddc22

tdf#101181: store glow radius in 100ths of mm instead of EMUs

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Mike Kaganski 2020-05-08 06:21:31 UTC
*** Bug 126412 has been marked as a duplicate of this bug. ***
Comment 17 Commit Notification 2020-05-24 05:25:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ebd391767d70903e6a4ea7e213f475af94e183ec

tdf#101181: drop useless "GlowEffect" boolean property

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-05-26 11:09:44 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39b1e229232d83cce08d9c95e2927a0fd52eff81

tdf#49247, tdf#101181: gtk needs "upper", otherwise the control is disabled

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2020-05-29 04:24:39 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/541e5a9e84c42fbf20158b01a4feaa0f226e9ed0

tdf#49247, tdf#101181: Fix effect bounds

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2020-05-29 04:24:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2cfe93da835eb500c9a170d22fce19fbd1de9473

tdf#49247, tdf#101181: don't rely on automatic scaling of alpha mask

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2020-05-29 04:26:45 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9dcbf7b0098e59c22ec17d86c270d610e0416f72

tdf#49247, tdf#101181: output glow and soft edge effects to metafile

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2020-05-29 04:26:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c9f4952b98da9adad1b556414c5fcecafedca473

tdf#101181: use buffer device with alpha in glow effect

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2020-05-29 08:31:50 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/58e74f32a8f0b003226b8897d51bfd5516a966bb

tdf#49247, tdf#101181: Fix effect bounds

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2020-05-29 08:32:08 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d0aff1174189983a1a090f61a504d6a3c7fca095

tdf#49247, tdf#101181: don't rely on automatic scaling of alpha mask

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2020-05-29 08:33:49 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/c8787b8469053bfa1105697d7852dbdac4a184ba

tdf#49247, tdf#101181: output glow and soft edge effects to metafile

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2020-05-29 08:33:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/f510bdfa98014ca0ae596dcd0dfd487cfc90f3eb

tdf#101181: use buffer device with alpha in glow effect

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2020-05-29 09:27:27 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7f8f7e7284e29cc0e8a0f282761abea428d0eb33

tdf#101181: disable antialiasing for mask

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2020-05-29 11:32:03 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/256c19a3b12a69e57b8e09375884a044315120ab

tdf#101181: disable antialiasing for mask

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.